Page MenuHomePhabricator

CX2: TemplateData is ignored when it is provided in the "documentation" tab
Closed, ResolvedPublic

Description

When translating "Lemonade" article from English to Catalan. The reference in the second paragraph ("[2]" in the example) has some missing parameters when adapted. For example "títol" ("title"), is empty as shown below:

The affected template used in the reference is Cite book in English, which corresponds to Ref-llibre in Catalan. In Catalan Wikipedia the templateData information is available in the documentation page instead of the template page itself. There the "títol" parameter has defined aliases for "title" (English) and "título" (Spanish) to facilitate translation but those are ignored in Content Translation.


Quick link with minimal example.

Event Timeline

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMar 27 2019, 12:01 AM
Pginer-WMF triaged this task as Medium priority.Mar 27 2019, 3:53 PM
Pginer-WMF raised the priority of this task from Medium to High.Apr 8 2019, 8:49 AM
Pginer-WMF updated the task description. (Show Details)Apr 8 2019, 10:28 AM

Template data for Plantilla:Ref-llibre
https://ca.wikipedia.org/w/api.php?action=templatedata&titles=Plantilla:Ref-llibre

title param information in ca.wiki

"títol": {
         "required": true,
         "label": {
           "ca": "Títol"
         },
         "type": "string",
         "description": {
           "ca": "Títol del llibre"
         },
         "suggested": false,
         "example": null,
         "deprecated": false,
         "aliases": [],
         "autovalue": null,
         "default": null
       },

I wonder why the aliases which you can see the templatedata is not coming here.

This was a case of T52372: Updated TemplateData from transcluded items take a long time to show up where the update in templatedata not refreshed in API output. A dummy edit in the template page solved the issue

@Pginer-WMF Feel free to close the ticket. There was nothing to fix, instead doing the work around for template data update.

Pginer-WMF closed this task as Resolved.Apr 11 2019, 11:53 AM

@Pginer-WMF Feel free to close the ticket. There was nothing to fix, instead doing the work around for template data update.

Thanks for the investigation. I took note of this to make sure it is included in the user documentation, and commented in the original ticket.